<?php

//ini_set("memory_limit","1024M");
//set_time_limit(60000);

// get data
// connect import database
ini_set('display_errors', 1);
	error_reporting(E_ALL);
echo "start";
/*$connection=mysql_connect('localhost', 'root', '1234') or die ("Verbindungsversuch fehlgeschlagen");
mysql_select_db('intelectra', $connection) or die("Konnte die Datenbank nicht waehlen.");
*/
$connection=mysql_connect('localhost', 'intelectra_shop_', 'Wwja71!3') or die ("Verbindungsversuch fehlgeschlagen");
mysql_select_db('intelectra_shop__', $connection) or die("Konnte die Datenbank nicht waehlen.1");


$query = mysql_query('SELECT * FROM `structure` where parent_id=357 and id!=9885') or die("Anfrage nicht erfolgreich");
$data = array();
while($obj = mysql_fetch_object($query)) {
	$data[] = $obj;
}

foreach ($data as $menu) {
                mysql_query('DELETE FROM site_content WHERE structure_id='.$menu->id);
		$sql = "
			INSERT INTO `site_content` (`structure_id`, `type`, `position`, `activ`, `title`, `content`, `configuration`) VALUES
			(".$menu->id.", 'textbox', 4, 1, 'Ersatzteile f&uuml;r ".$menu->name."', '', NULL),
			(".$menu->id.", 'slider', 2, 1, 'Sonderangebote | Ersetzteile und Zubeh&ouml;r f&uuml;r ".$menu->name."', '86', NULL),
			(".$menu->id.", 'article_list', 6, 0, '', '0', NULL),
			(".$menu->id.", 'banner', 5, 0, '', '0', NULL),
			(".$menu->id.", 'manufacturers', 7, 0, '', '', NULL),
			(".$menu->id.", 'substructure', 3, 1, 'Im Bereich ".$menu->name." bieten wir folgende Warengruppen', '', "."\"\$config = array\('cat_id' => '', 'ebenen' => '2', \)\;\""."),
			(".$menu->id.", 'popular', 1, 0, '', '', NULL)
	";        
        echo $sql.'<br>';
	$query = mysql_query($sql);
}
